BimpДовідка

Контрагенти: методи API Bimp

Методи API Bimp для ресурсу «Контрагенти» (/org2/counterparty/…): 14 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/counterparty/api-insertA request to create a new counterparty
POST /org2/counterparty/api-updateA request to update an existing counterparty
POST /org2/counterparty/api-updateAddressesA request to update the counterparty’s addresses
POST /org2/counterparty/api-readStatusesA request to read the counterparty’s addresses
POST /org2/counterparty/api-readListA request to view a list of company’s counterparties
POST /org2/counterparty/api-updateStatusA request to update the counterparty’s status
POST /org2/counterparty/api-readA request to obtain detailed information for a particular counterparty
POST /org2/counterparty/api-readAdditionalCharacteristicsA request to obtain additional characteristics of counterparties
POST /org2/counterparty/api-saveExternalIdCreates or updates the mapping between a counterparty and an external system ID (e.g., website user ID).
POST /org2/counterparty/api-readExternalIdRetrieves the external system ID for a specific counterparty given the source system name.
POST /org2/counterparty/api-readByExternalIdIdentifies a counterparty by their external system ID. Returns null if no mapping exists.
POST /org2/counterparty/api-readExternalIdsListRetrieves a paginated list of existing mappings with optional filtering by source or counterparty.
POST /org2/counterparty/api-readWithoutExternalIdRetrieves a list of counterparties that do not have a mapping for the specified source system.
POST /org2/counterparty/api-deleteExternalIdRemoves the mapping for a specific counterparty. If source is omitted, deletes all external mappings for this counterparty.

api-insert

POST /org2/counterparty/api-insert

A request to create a new counterparty

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
namestringтакCounterparty name
managerUuidstring (uuid)A unique identifier for the Manager, obtainable from the /user/api-readList request
AdditionalIdentifierstringAdditional field about counterparty
statusUuidstring (uuid)A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
isCustomerbooleanтакIs he a customer? By default it is set to true
isSupplierbooleanтакIs he a supplier?
isSoleProprietorbooleanтакIs he a sole proprietor?
emailstring (email)Counterparty email
phoneNumberstringCounterparty phone number
vatstringThe total amount of Value Added Tax (VAT) applied
printFormNamestringThe name of the counterparty that will be displayed in printed documents. If the field is not filled in, the name field is duplicated
edrpoustringCounterparty edrpou
sourceOfAttractionUuidstring (uuid)
contactsobject[]
contacts[].poststringтакCounterparty post
contacts[].namestringтакCounterparty name
contacts[].isMainbooleanтакIs it the main contact?
contacts[].phoneNumberstringтакCounterparty phone number
bankAccountsobject[]
bankAccounts[].ibanstringтакBank account iban
bankAccounts[].isMainbooleanтакIs it the main bank account?
bankAccounts[].currencyUuidstring (uuid)такA unique identifier for the Currency, obtainable from the /currency/api-readList request
bankAccounts[].bankAccountTypeUuidstring (uuid)такA unique identifier for the Bank account type, obtainable from the /bankAccounts/api-readTypes request
addressesobject[]
addresses[].valuestringтакAddress name
addresses[].addressTypeUuidstring (uuid)такA unique identifier for the Address type, obtainable from the /addressType/api-readList request
additionalCharacteristicsobject[]
additionalCharacteristics[].vaulestringтакAdditional characteristic name
additionalCharacteristics[].additionalCharacteristicTypeUuidstring (uuid)такAdditional characteristic type
createContractbooleanNeed to automatically create a contract?
integrationobjectThe object is filled if created from integration system
integration.systemstring (uuid)такThe integration system through which the element was created
integration.externalIdstringтакUnique element code from the integration system

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-insert' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","isCustomer":true,"isSupplier":false,"isSoleProprietor":false}'

api-update

POST /org2/counterparty/api-update

A request to update an existing counterparty

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key of the counterparty to update
namestringCounterparty name
managerUuidstring (uuid)A unique identifier for the Manager, obtainable from the /user/api-readList request
AdditionalIdentifierstringAdditional field about counterparty
statusUuidstring (uuid)A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
isCustomerbooleanIs he a customer?
isSupplierbooleanIs he a supplier?
isSoleProprietorbooleanIs he a sole proprietor?
emailstring (email)Counterparty email
phoneNumberstringCounterparty phone number
vatstringThe total amount of Value Added Tax (VAT) applied
printFormNamestringThe name of the counterparty that will be displayed in printed documents.
edrpoustringCounterparty edrpou
sourceOfAttractionUuidstring (uuid)
contactsobject[]
contacts[].poststringтакCounterparty post
contacts[].namestringтакCounterparty name
contacts[].isMainbooleanтакIs it the main contact?
contacts[].phoneNumberstringтакCounterparty phone number
bankAccountsobject[]
bankAccounts[].ibanstringтакBank account iban
bankAccounts[].isMainbooleanтакIs it the main bank account?
bankAccounts[].currencyUuidstring (uuid)такA unique identifier for the Currency, obtainable from the /currency/api-readList request
bankAccounts[].bankAccountTypeUuidstring (uuid)такA unique identifier for the Bank account type, obtainable from the /bankAccounts/api-readTypes request
addressesobject[]
addresses[].valuestringтакAddress name
addresses[].addressTypeUuidstring (uuid)такA unique identifier for the Address type, obtainable from the /addressType/api-readList request
additionalCharacteristicsobject[]
additionalCharacteristics[].vaulestringтакAdditional characteristic name
additionalCharacteristics[].additionalCharacteristicTypeUuidstring (uuid)такAdditional characteristic type
createContractbooleanNeed to automatically create a contract?
integrationobjectThe object is filled if created from integration system
integration.systemstring (uuid)такThe integration system through which the element was created
integration.externalIdstringтакUnique element code from the integration system

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-updateAddresses

POST /org2/counterparty/api-updateAddresses

A request to update the counterparty’s addresses

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
counterpartyUuidstring (uuid)такA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
addressesobject[]так
addresses[].valuestringтакAddress name
addresses[].addressTypeUuidstring (uuid)такA unique identifier for the Address type, obtainable from the /addressType/api-readList request

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-updateAddresses' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"counterpartyUuid":"00000000-0000-0000-0000-000000000000","addresses":[{}]}'

api-readStatuses

POST /org2/counterparty/api-readStatuses

A request to read the counterparty’s addresses

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestring
[].colorstring
[].prioritynumber
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-readStatuses' \
  -H 'access-token: <токен компанії>'

api-readList

POST /org2/counterparty/api-readList

A request to view a list of company’s counterparties

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
periodableobject[]Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’)
edrpoustringFilter by edrpou
emailstringFilter by email
phoneNumberstringFilter by phone number
individualTaxNumberstringFilter by individual tax number
namestringFilter by name
typesstring (“isCustomer”, “isSupplier”, “isSoleProprietor”)[]
integrationobjectThe object is filled in for integration search
integration.systemstring (uuid)такThe integration system through which the element was created
integration.externalIdstringтакUnique element code from the integration system

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestring
[].edrpoustring
[].individualTaxNumberstring
[].emailstring
[].phoneNumberstring
[].isCustomerbooleanЧи покупець
[].isSupplierbooleanЧи постачальник
[].isSoleProprietorbooleanЧи ФОП
[].codestring
[].printNamestring
[].addressesobject[]
[].addresses[].valuestring
[].addresses[].isMainboolean
[].addresses[].typeobject
[].addresses[].type.namestring
[].addresses[].type.GUIDstring (uuid)
[].addresses[].type.typenumber
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-updateStatus

POST /org2/counterparty/api-updateStatus

A request to update the counterparty’s status

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
counterpartyUuidstring (uuid)такA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
statusUuidstring (uuid)такA unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-updateStatus' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"counterpartyUuid":"00000000-0000-0000-0000-000000000000","statusUuid":"00000000-0000-0000-0000-000000000000"}'

api-read

POST /org2/counterparty/api-read

A request to obtain detailed information for a particular counterparty

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key of the counterparty

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
namestring
edrpoustring
individualTaxNumberstring
emailstring
phoneNumberstring
isCustomerbooleanЧи покупець
isSupplierbooleanЧи постачальник
isSoleProprietorbooleanЧи ФОП
codestring
printNamestring
addressesobject[]
addresses[].valuestring
addresses[].isMainboolean
addresses[].typeobject
addresses[].type.namestring
addresses[].type.GUIDstring (uuid)
addresses[].type.typenumber
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readAdditionalCharacteristics

POST /org2/counterparty/api-readAdditionalCharacteristics

A request to obtain additional characteristics of counterparties

Відповідь: поле data

ПолеТипОпис
[].namestring
[].uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-readAdditionalCharacteristics' \
  -H 'access-token: <токен компанії>'

api-saveExternalId

POST /org2/counterparty/api-saveExternalId

Creates or updates the mapping between a counterparty and an external system ID (e.g., website user ID).

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
counterpartyUuidstring (uuid)такA unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
sourcestringтакIdentifier of the external system (e.g., “prom”, “rozetka”). The value is case-insensitive and automatically normalized (trimmed and converted to lowercase).
externalIdstringтакUnique identifier of the counterparty in the external system (e.g., user ID on the website, database key, login).

Відповідь: поле data

ПолеТипОпис
successbooleanIndicates whether the mapping between the BIMP Counterparty and the external system ID was successfully established.
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-saveExternalId' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"counterpartyUuid":"00000000-0000-0000-0000-000000000000","source":"string","externalId":"string"}'

api-readExternalId

POST /org2/counterparty/api-readExternalId

Retrieves the external system ID for a specific counterparty given the source system name.

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
counterpartyUuidstring (uuid)такA unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
sourcestringтакIdentifier of the external system (e.g. “prom”) to check against.
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-readExternalId' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"counterpartyUuid":"00000000-0000-0000-0000-000000000000","source":"string"}'

api-readByExternalId

POST /org2/counterparty/api-readByExternalId

Identifies a counterparty by their external system ID. Returns null if no mapping exists.

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
sourcestringтакIdentifier of the external system (e.g. “prom”) to check against.
externalIdstringтакUnique identifier of the counterparty in the external system (e.g., user ID on the website, database key, login).
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-readByExternalId' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"source":"string","externalId":"string"}'

api-readExternalIdsList

POST /org2/counterparty/api-readExternalIdsList

Retrieves a paginated list of existing mappings with optional filtering by source or counterparty.

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
sourcestringIdentifier of the external system (e.g. “prom”) to check against.
counterpartyUuidstring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request

Відповідь: поле data

ПолеТипОпис
[].counterpartyUuidstring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
[].namestring
[].sourcestring
[].externalIdstring
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-readExternalIdsList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-readWithoutExternalId

POST /org2/counterparty/api-readWithoutExternalId

Retrieves a list of counterparties that do not have a mapping for the specified source system.

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
sourcestringтакIdentifier of the external system (e.g. “prom”) to check against.

Відповідь: поле data

ПолеТипОпис
[].counterpartyUuidstring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-readWithoutExternalId' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10},"source":"string"}'

api-deleteExternalId

POST /org2/counterparty/api-deleteExternalId

Removes the mapping for a specific counterparty. If source is omitted, deletes all external mappings for this counterparty.

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
counterpartyUuidstring (uuid)такA unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
sourcestringIdentifier of the external system (e.g. “prom”) to check against.
curl -X POST 'https://app.bimpsoft.com/org2/counterparty/api-deleteExternalId' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"counterpartyUuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.